package com.chelvc.framework.common.model;

import lombok.Getter;

/**
 * 系统使用枚举
 *
 * @author Woody
 * @date 2024/1/30
 */
@Getter
public enum Using implements Enumerable {
    /**
     * 常规使用
     */
    NORMAL("常规使用"),

    /**
     * 当日首次使用
     */
    DAILY("当日首次使用"),

    /**
     * 历史首次使用
     */
    INITIAL("历史首次使用");

    /**
     * 枚举别名
     */
    private final String alias;

    Using(String alias) {
        this.alias = alias;
    }
}
